Subject: bug#49631: 28.0.50; dired-hide-details-mode Probably introduced at or before Emacs version 24.4

From: Eli Zaretskii <[email-masked]>
Date: Wed, 21 Jul 2021 14:31:16 +0300

> From: Richard Stallman <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 20 Jul 2021 20:52:12 -0400
> 
> I think we can implement an efficient, accurate, automatic way to
> determine which release each function appeared in.
> 
> We could run a script on each Emacs release to find all the function
> definitions in it, then make a sorted list of their names.  By
> comparing these, we can find for each function the first release it
> was defined in.
> 
> We only need to scan each release once, all in the same way.  We would
> scan the old releases at the start, and scan each new release when it
> is made, adding new functions to the records.
> 
> There could be a few functions for which that does not give correct
> results, as they were defined in weird ways.  We could add those
> functions manually to the records.  Since they won't be many, we could
> afford to do that by hand.
> 
> Scanning a new release will never alter the information about
> functions in previous releases, so once we have fixed an exception, it
> will stay fixed.

Yes, this could work.  Patches are welcome to implement this.